Universal Links

RSS for tag

Allow your users to intelligently follow links to content in your app or to your website using universal links.

Posts under Universal Links tag

200 Posts

Post

Replies

Boosts

Views

Activity

'LaunchIsDefaultLaunchKey' key in the Notification parameter in applicationDidFinishLaunching(_ notification: Notification)
The notification parameter in DidFinishLaunching contains a key LaunchIsDefaultLaunchKey which according to Apple documentation is: The value for this key is an NSNumber containing a Boolean value. The value is false if the app was launched to open or print a file, to perform a Service action, if the app had saved state that will be restored, or if the app launch was in some other sense not a default launch. Otherwise its value will be true. I m not able to understand the exact usecase for this parameter, like where can we make use of this parameter. Can I use this key to identify If my application was launched using a universal link?
0
0
624
Dec ’23
Universal Links was not working fine
Universal Links was not working fine on my phone.But I build and run on simulator is fine. I wrote Associated Domains Settings in Xcode applinks:example.com.tw?mode=developer applinks:example.com.tw the association file in the following URL https://example.com.tw/.well-known/apple-app-site-association { "applinks": { "apps": [], "details": [ { "appIDs": ["AAA.example"], "components": [{ "/": "/app/*" } ] } ] } } I used the simulator on Xcode to test the URL and successfully saw the text "Open in the "AAA" App". However, when I published the APP on Testflight and let the mobile phone download and test it, it was invalid. of. I tried using Settings > Developer > Universal Link Diagnosis > on my Iphone and entering [https://example.com.tw/app] and I will see "The URL is a Universal Link for the app" with identifier "BBB.example"" This TeamID setting is different from the file I put on the website. I have never wrote this TeamID setting. May I ask if I have made any wrong settings? Thank you, Jane
0
1
639
Dec ’23
Universal link not working for multiple apps
I have created a universal link which I m using for two different applications in macOS. Below is the apple-app-site-association file for the same: { "applinks":{ "apps":[], "details":[ { "appID":"E5R4JF6D5K.com.demo.App1", "paths":[ "/app1/*" ] }, { "appID":"E5R4JF6D5K.world.demo.App2", "paths":[ "/app2/*" ] } ] } } After creating this file in my server and providing the same Url in my associated domain capability for both my application, when I try to launch my applications using the link then only the first application is getting launched everytime. The second application is never launched. for Url with http://custom.com/app1/... it redirects to first app. for Url with http://custom.com/app2/... it redirects to browser. I tried uninstalling the first app, but then it always directs in browser. I tried a separate url for both apps, and it works fine. I m not able to figure out the problem. The apple documentation says that it is possible to have two application linked to a common domain. Any help?
2
0
1.6k
Dec ’23
iOS App Clip Not Launching with Universal Link in SwiftUI
Description: I am developing an iOS App Clip using SwiftUI and am encountering an issue where the App Clip does not launch when clicking a Universal Link. Below are the key details of my setup and what I have tried: Main App Context: The main application is built with Flutter, but the App Clip is being developed natively in SwiftUI. Current Objective: I am aiming to demo the App Clip launch when a Universal Link is clicked. For now, it doesn't need to interact with the main app or process any parameters - the goal is simply to get it to launch. Development Environment: I am building the App Clip through Xcode and testing it by running the App Clip then clicking the link. Configuration: Associated domains have been added to both the App Clip target and the main "Runner" app target in Xcode, with updated provisioning profiles. The AASA file has passed validation using yURL’s Universal Links / AASA File Validator tool. AASA File Configuration: { "applinks": { "apps": [], "details": [ { "appID": "<TeamId>.<BundleId of main app>", "paths": ["/redeem"] } ] }, "appclips": { "apps": ["<TeamId>.<BundleId of app clip>"] } } Testing: Conducted on a real iOS device. Link Handling: The URL (https://vault-activation-beta.web.app/redeem) does not lead to a 404 error, and long-pressing the link in an SMS does not show any App Clip related options. Code Implementation: import SwiftUI import FirebaseCore import FirebaseAuth @main struct AppName_ClipApp: App { @UIApplicationDelegateAdaptor(AppDelegate.self) var delegate init() { FirebaseApp.configure() } var body: some Scene { WindowGroup { ContentView() .onOpenURL(perform: { url in print("Opened URL: \(url)") }) } } } class AppDelegate: NSObject, UIApplicationDelegate { func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool { print("Your code here") return true } func application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([UIUserActivityRestoring]?) -> Void) -> Bool { if userActivity.activityType == NSUserActivityTypeBrowsingWeb, let url = userActivity.webpageURL { print("Opened URL from Universal Link: \(url)") // Handle the URL appropriately within your app } return true } } I am looking for guidance on whether there's something missing in my setup or if there are any issues with my implementation. Any suggestions or insights into why the App Clip is not launching with the Universal Link would be greatly appreciated.
1
0
1.1k
Dec ’23
AASA File Issue..
AASA File was applied to apply UniversalLink to the App. I deleted AASA to remove UniversalLink while using it normally. However, even though I deleted the file, I'm still opening the app. I've tried reinstalling the app several times, and I've also disabled the server cache, but it's no use. What should I do? Anyone knows?
1
0
605
Dec ’23
Apple app site association CDN cache only working in Europe.
We have our apple-app-site-association file hosted on our website. It passes AASO verification, we can pull it successful as application/json via curl, and it also shows up as expected with a https://app-site-association.cdn-apple.com/a/v1/ourdomain.com link - however only in Europe. The apple CDN link works in: Czech, Finland, UK, and Spain, however it does not work in U.S., Phillipines, or Canada. In those cases, the CDN page shows "not found". It's quite strange that it only works in Europe. The file we are hosting doesn't have any IP restrictions that we are aware of, and we can access the file URL hosted on our website directly from the U.S. and Canada. So it seems that only Apple's CDN cache is failing to retrieve/store it for some reason, in certain locations. Has anyone seen something like this?
1
0
928
Dec ’23
What is the max limit of Universal Links registration
Problems I would like to know the max limit registrations of Universal Links. There is no information about the limit in the latest documents, how many links we can register. Background Now we consider introducing UniversalLinks to our application and one of the requirements is registering multiple domains. In the system's specifications, there is no upper limit. References Supporting associated domains https://developer.apple.com/documentation/xcode/supporting-associated-domains Associated Domains Entitlement https://developer.apple.com/documentation/bundleresources/entitlements/com_apple_developer_associated-domains Support Universal Links(Documentation Archive) https://developer.apple.com/library/archive/documentation/General/Conceptual/AppSearch/UniversalLinks.html Archived documents say as follows but I don't know this is a reliable resource. In your com.apple.developer.associated-domains entitlement, include a list of the domains that your app wants to handle as universal links. To do this in Xcode, open the Associated Domains section in the Capabilities tab and add an entry for each domain that your app supports, prefixed with applinks:, such as applinks:hogehoge. Limit this list to no more than about 20 to 30 domains.
0
1
745
Nov ’23
Where is App Search Validation Tool
I am setting up universal links for my app. And running into some issues when setting it up for production. The following technical advisory recommends to use app search API validation tool. Technical Advisory: https://developer.apple.com/library/archive/qa/qa1916/_index.html#//apple_ref/doc/uid/DTS40017117 Tool Path: https://search.developer.apple.com/appsearch-validation-tool However clicking on the app search API validation tool leads to the generic search.developer.apple.com page. So where is the tool?
0
2
1.5k
Nov ’23
Universal Link not opening iOS App
I own two domains, https://www.skejuul.me and staging.skejuul.me. I have deployed a iOS App on App Store.. For this app universal links are not opening the App. And instead universal link is taking user to browser. This is where we have hosted the AASA files for the servers: 1.https://www.skejuul.me/.well-known/apple-app-site-association 2.https://staging.skejuul.me/.well-known/apple-app-site-association Both files having same content: { "applinks": { "apps": [], "details": [ { "appID": "K57UGNG49B.com.shiftrock.mobile", "paths": ["*"] } ] } } Please note if we run our universal link for staging.skejuul.me it works i.e. it opens the app. But for https://www.skejuul.me domain it doesn't work. https://www.skejuul.me/forgotpassword (opens browser) https://staging.skejuul.me/forgotpassword (opens iOS App)
0
0
849
Nov ’23
Associated Domains stopped working after updating app Bundle ID
I updated the app bundle ID of my app in my associated domains file on my server which can be viewed using the Apple CDN at (https://app-site-association.cdn-apple.com/a/v1/myApp.app) and on my server at (https://myApp.app/.well-known/apple-app-site-association). All I did was update the app Bundle ID of my app in Xcode and likewise in the associated domains file, and now it is no longer working and I'm getting the error Application with identifier ABCDE12345.app.myApp.MyApp is not associated with domain myApp.app. This error is thrown when attempting to use the webcredentials portion of the associated domain file for logging in via Passkey. I've waited for 6 days to let the changes propagate through the CDN but the issue is persisting. Strangely enough, it has worked a few times since I changed it but almost always fails. This intermittent behavior leads me to believe it might be something up with the CDN? The only thing I changed about my appID was the domain, e.g. ABCDE12345.io.oldDomain.MyApp to ABCDE12345.app.myApp.MyApp. My file is structured as so: { "applinks": { "apps": [], "details": [ { "appID": "ABCDE12345.app.myApp.MyApp", "components": [ ... ] } ] }, "webcredentials": { "apps": [ "ABCDE12345.app.myApp.MyApp" ] } } Likewise I updated the entitlements in my app to webcredentials:myApp.app from webcredentials:oldDomain.io and similarly for the appLinks. I've tried deleting the app, restarting Xcode, clean builds, all that jazz to no avail. Any advice you have for remedying this would be greatly appreciated. This has brought my beta to a halt because no one can log in or sign up. Thank you.
1
0
2.5k
Nov ’23
Unity3D: Not getting Universal Link data in Application.absoluteURL and Application.deepLinkActivated
I'm having some issues regarding iOS Universal Links and Unity. I want to open my app and fetch the user id when user clicks on the deep link https://refer.mydomain.com/?userid=123456. I have uploaded the apple-app-site-association file to my domain's https://refer.mydomain.com/.well-known/ directory which contains the following data: { "applinks": { "apps": [], "details": [ { "appID": "ACBJSD1234.com.******.*****", "paths": ["*"] } ] } } I have also tried this syntax: { "applinks": { "details": [ { "appIDs": [ "ACBJSD1234.com.******.*****" ], "components": [ { "/": "*" } ] } ] } } I have validated both the data using https://branch.io/resources/aasa-validator/ and it shows as valid. I have also added the Associated Domain capability to the entitlement file with the domain: applinks:refer.mydomain.com. Now I have used the event listener provided by Unity to detect the deep link that is used to open the app. Now the thing is, my app is getting opened when I click on the link, but I'm not getting the deeplink data inside Unity. My doubt is that maybe my apple-app-site-association file is not properly set. Can anyone help?
0
0
911
Nov ’23
[iOS 16.4 & iOS 17.1.1] Deeplink does not redirect into app
Hi support team, We have implemented Deeplinks in our app before. But when I tap the universal link from a browser (in iOS 16.4 & iOS 17.1.1), it doesn't work, it directly opens the page on a browser. I tested it on iOS 16.2 & iOS 17.0, it is working fine, it was able to open the app. Do you have any idea why it is not working on iOS 16.4 & iOS 17.1.1 (latest OS) but it is working on other OS versions? Can you please guide me on how to fix this issue. Thanks.
10
0
7.9k
Nov ’23
Deep links are not directing users to the intended apps, instead, they are redirecting to the respective apps on app store
Problem : Deep links are not directing users to the intended apps, instead, they are redirecting to the respective apps on app store. When clicking on a deep link in private mode, it consistently displays a prompt to open the application or cancel. If the "Cancel" button is selected on the prompt, it redirects to the app store via a deep link to open the specific application, on next time onwards we are not receiving the prompt to open application, every time it get redirects to the appstore via merchant link automatically. In other case if we click open button on the prompt , it redirects to the application, Subsequently, each time we click the deep link, it repeatedly prompts us to open the app. Why do the "Open" and "Cancel" buttons lead to different outcomes in these scenarios? How can we ensure that the application always opens when clicking on the deep link, if it is in private mode as well?
0
0
1.2k
Nov ’23
Universal links not working only during App Review
Hi, I am running into a strange issue where my universal links work fine on devices when using USB, simulators and TestFlight, it works with no problem on all test environments But once I submit it for App Review, they don't work. And I have no way to replicate it. At some point they get it working somehow but every resubmission the process repeats where I go back and forth for days until they finally get it working. Anyone run into this strange issue or has a clue what might be going on?
6
3
3.1k
Oct ’23
How to make my app available to set as a default browser
Good day, I have an application that opens links in various browsers available on the device. For this reason, I want to make the app eligible to be chosen as the default browser. To do this, I reviewed the Apple article at this link: https://developer.apple.com/documentation/xcode/preparing-your-app-to-be-the-default-browser. However, unfortunately, I still haven't figured out how to do it. The article mentions that you need to send an email request. I sent an email, but my message was ignored. Dear colleagues or Apple staff, could you please explain in the most detailed and step-by-step manner how I can make my app available to be set as the default browser? I would greatly appreciate it because, unfortunately, this question isn't widely discussed in the community, and there are no videos with step-by-step guides. Thank you very much!
0
0
692
Oct ’23
iOS 14 Universal Links broken on not default browser
On iOS 14 you can pick another default browser than Safari. If you use another browser, that browser will ask the user to change their default browser.  I have installed Chrome and set it as default But problem comes when I try to open a Universal Link (which was working just fine when Safari was the default browser), which seems to just not work. With Safari as default browser, the Universal Link would work, and the corresponding native app was getting opened. However, with any other browser different from Safari set as default, the feature is broken and the Universal Link doesn't open the native app. Has anyone experienced anything similar? Why might this happen and how might this be solved? Any help is very much welcomed
2
1
2k
Oct ’23
Apple-App-Site-Association (AASA) return 404 Not Found in some CDN nodes.
Hi We locate the file apple-app-site-association on both https://ourdomain.com/apple-app-site-association and https://ourdomain.com/.well-known/apple-app-site-association By visit this two urls, we are able to get file content through browser. We are able to get the file content through https://app-site-association.cdn-apple.com/a/v1/ourdomain.com with US based IPs, Europe based IPs. However, if we visit this url with Asia based IPs, we always got 404 with content Not Found. Some work CDN nodes: < Via: http/1.1 ussjc2-vp-vst-009.ts.apple.com (acdn/14319.5), http/1.1 ussjc2-vp-vfe-002.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-lx-004.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-bx-033.ts.apple.com (acdn/14319.5) Via: http/1.1 ussjc2-vp-vst-009.ts.apple.com (acdn/14319.5), http/1.1 ussjc2-vp-vfe-002.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-lx-004.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-bx-033.ts.apple.com (acdn/14319.5) which return file content in apple-app-site-association with response code 200. Some not work CDN nodes: < Via: http/1.1 jptyo5-vp-vst-014.ts.apple.com (acdn/84.14362), https/1.1 jptyo5-vp-vfe-006.ts.apple.com (acdn/84.14362) which return Not Found with response code 404. When use Asia based IPs, we also got some error response header: < Apple-Failure-Details: {"cause":"context deadline exceeded (Client.Timeout exceeded while awaiting headers)"} < Apple-Failure-Reason: SWCERR00301 Timeout Example request with IP in Japan: > GET /a/v1/ourdomain.com HTTP/1.1 > Host: app-site-association.cdn-apple.com > User-Agent: curl/7.86.0 > Accept: */* > * Mark bundle as not supporting multiuse < HTTP/1.1 404 Not Found < Content-Type: text/plain; charset=utf-8 < Content-Length: 10 < Connection: keep-alive < Server: nginx < Date: Mon, 21 Aug 2023 12:45:02 GMT < Expires: Mon, 21 Aug 2023 12:45:12 GMT < Age: 608 < Apple-Failure-Details: {"cause":"context deadline exceeded (Client.Timeout exceeded while awaiting headers)"} < Apple-Failure-Reason: SWCERR00301 Timeout < Apple-From: https://ourdomain.com/.well-known/apple-app-site-association < Apple-Try-Direct: true < Via: http/1.1 jptyo5-vp-vst-014.ts.apple.com (acdn/84.14362), https/1.1 jptyo5-vp-vfe-006.ts.apple.com (acdn/84.14362) < X-Cache: MISS KS-CLOUD < CDNUUID: 03f2e102-fa68-4a5f-bc93-0e151a3dfc64-773587498 < x-link-via: ziyct01:443;xymp07:443;gzun11:443;xg02:443; < x-b2f-cs-cache: no-cache < X-Cache-Status: MISS from KS-CLOUD-XG-02-03 < X-Cache-Status: MISS from KS-CLOUD-GZ-UN-11-06 < X-Cache-Status: MISS from KS-CLOUD-XY-MP-07-15 < X-Cache-Status: MISS from KS-CLOUD-ZIY-CT-01-09 < CDN-Server: KSFTF < X-KSC-Request-ID: 0afe4d526afd86918a55a0640d2b75f3 < X-Cdn-Request-ID: 0afe4d526afd86918a55a0640d2b75f3 < Not Found
4
0
3.4k
Oct ’23
Universal Link with non latin characters
Hi folks, we are stuck with new universal links on our domains, in particular we should open links for APAC market. Our site domain has non-latin chars in the path and so even the universal link should contain those values, e.g. https://www.my-site.com/jp/レディース app-association-file 👇🏻 "/??/άνδρας" "/??/γυναίκα" "/??/レディース" Unfortunately they dont work, in any scenario we are not able to open the app. Do you know about a OS limitation with non-latin chars in the UL? Is it supported?
0
0
564
Oct ’23
apple-app-site-association not updating for my app, next update time in swcutil_show is in past
I am unable to get Universal Links opening in my app despite the fact that it is working for others.I used sysdiagnose to retrieve swcutil_show.txt and it shows the next update time for the entry in my app to be: 0001-01-01 03:54:56 +0000Which is in the past. I can't seem to be able to reset this entry even after uninstalling and reinstalling the app. Is there anyway to clear this entry on my device?I'm not sure how it got into this state, but I hope it's only me and not any of my end users.
8
0
9.2k
Oct ’23
'LaunchIsDefaultLaunchKey' key in the Notification parameter in applicationDidFinishLaunching(_ notification: Notification)
The notification parameter in DidFinishLaunching contains a key LaunchIsDefaultLaunchKey which according to Apple documentation is: The value for this key is an NSNumber containing a Boolean value. The value is false if the app was launched to open or print a file, to perform a Service action, if the app had saved state that will be restored, or if the app launch was in some other sense not a default launch. Otherwise its value will be true. I m not able to understand the exact usecase for this parameter, like where can we make use of this parameter. Can I use this key to identify If my application was launched using a universal link?
Replies
0
Boosts
0
Views
624
Activity
Dec ’23
Universal Links was not working fine
Universal Links was not working fine on my phone.But I build and run on simulator is fine. I wrote Associated Domains Settings in Xcode applinks:example.com.tw?mode=developer applinks:example.com.tw the association file in the following URL https://example.com.tw/.well-known/apple-app-site-association { "applinks": { "apps": [], "details": [ { "appIDs": ["AAA.example"], "components": [{ "/": "/app/*" } ] } ] } } I used the simulator on Xcode to test the URL and successfully saw the text "Open in the "AAA" App". However, when I published the APP on Testflight and let the mobile phone download and test it, it was invalid. of. I tried using Settings > Developer > Universal Link Diagnosis > on my Iphone and entering [https://example.com.tw/app] and I will see "The URL is a Universal Link for the app" with identifier "BBB.example"" This TeamID setting is different from the file I put on the website. I have never wrote this TeamID setting. May I ask if I have made any wrong settings? Thank you, Jane
Replies
0
Boosts
1
Views
639
Activity
Dec ’23
Universal link not working for multiple apps
I have created a universal link which I m using for two different applications in macOS. Below is the apple-app-site-association file for the same: { "applinks":{ "apps":[], "details":[ { "appID":"E5R4JF6D5K.com.demo.App1", "paths":[ "/app1/*" ] }, { "appID":"E5R4JF6D5K.world.demo.App2", "paths":[ "/app2/*" ] } ] } } After creating this file in my server and providing the same Url in my associated domain capability for both my application, when I try to launch my applications using the link then only the first application is getting launched everytime. The second application is never launched. for Url with http://custom.com/app1/... it redirects to first app. for Url with http://custom.com/app2/... it redirects to browser. I tried uninstalling the first app, but then it always directs in browser. I tried a separate url for both apps, and it works fine. I m not able to figure out the problem. The apple documentation says that it is possible to have two application linked to a common domain. Any help?
Replies
2
Boosts
0
Views
1.6k
Activity
Dec ’23
iOS App Clip Not Launching with Universal Link in SwiftUI
Description: I am developing an iOS App Clip using SwiftUI and am encountering an issue where the App Clip does not launch when clicking a Universal Link. Below are the key details of my setup and what I have tried: Main App Context: The main application is built with Flutter, but the App Clip is being developed natively in SwiftUI. Current Objective: I am aiming to demo the App Clip launch when a Universal Link is clicked. For now, it doesn't need to interact with the main app or process any parameters - the goal is simply to get it to launch. Development Environment: I am building the App Clip through Xcode and testing it by running the App Clip then clicking the link. Configuration: Associated domains have been added to both the App Clip target and the main "Runner" app target in Xcode, with updated provisioning profiles. The AASA file has passed validation using yURL’s Universal Links / AASA File Validator tool. AASA File Configuration: { "applinks": { "apps": [], "details": [ { "appID": "<TeamId>.<BundleId of main app>", "paths": ["/redeem"] } ] }, "appclips": { "apps": ["<TeamId>.<BundleId of app clip>"] } } Testing: Conducted on a real iOS device. Link Handling: The URL (https://vault-activation-beta.web.app/redeem) does not lead to a 404 error, and long-pressing the link in an SMS does not show any App Clip related options. Code Implementation: import SwiftUI import FirebaseCore import FirebaseAuth @main struct AppName_ClipApp: App { @UIApplicationDelegateAdaptor(AppDelegate.self) var delegate init() { FirebaseApp.configure() } var body: some Scene { WindowGroup { ContentView() .onOpenURL(perform: { url in print("Opened URL: \(url)") }) } } } class AppDelegate: NSObject, UIApplicationDelegate { func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil) -> Bool { print("Your code here") return true } func application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([UIUserActivityRestoring]?) -> Void) -> Bool { if userActivity.activityType == NSUserActivityTypeBrowsingWeb, let url = userActivity.webpageURL { print("Opened URL from Universal Link: \(url)") // Handle the URL appropriately within your app } return true } } I am looking for guidance on whether there's something missing in my setup or if there are any issues with my implementation. Any suggestions or insights into why the App Clip is not launching with the Universal Link would be greatly appreciated.
Replies
1
Boosts
0
Views
1.1k
Activity
Dec ’23
AASA File Issue..
AASA File was applied to apply UniversalLink to the App. I deleted AASA to remove UniversalLink while using it normally. However, even though I deleted the file, I'm still opening the app. I've tried reinstalling the app several times, and I've also disabled the server cache, but it's no use. What should I do? Anyone knows?
Replies
1
Boosts
0
Views
605
Activity
Dec ’23
Apple app site association CDN cache only working in Europe.
We have our apple-app-site-association file hosted on our website. It passes AASO verification, we can pull it successful as application/json via curl, and it also shows up as expected with a https://app-site-association.cdn-apple.com/a/v1/ourdomain.com link - however only in Europe. The apple CDN link works in: Czech, Finland, UK, and Spain, however it does not work in U.S., Phillipines, or Canada. In those cases, the CDN page shows "not found". It's quite strange that it only works in Europe. The file we are hosting doesn't have any IP restrictions that we are aware of, and we can access the file URL hosted on our website directly from the U.S. and Canada. So it seems that only Apple's CDN cache is failing to retrieve/store it for some reason, in certain locations. Has anyone seen something like this?
Replies
1
Boosts
0
Views
928
Activity
Dec ’23
What is the max limit of Universal Links registration
Problems I would like to know the max limit registrations of Universal Links. There is no information about the limit in the latest documents, how many links we can register. Background Now we consider introducing UniversalLinks to our application and one of the requirements is registering multiple domains. In the system's specifications, there is no upper limit. References Supporting associated domains https://developer.apple.com/documentation/xcode/supporting-associated-domains Associated Domains Entitlement https://developer.apple.com/documentation/bundleresources/entitlements/com_apple_developer_associated-domains Support Universal Links(Documentation Archive) https://developer.apple.com/library/archive/documentation/General/Conceptual/AppSearch/UniversalLinks.html Archived documents say as follows but I don't know this is a reliable resource. In your com.apple.developer.associated-domains entitlement, include a list of the domains that your app wants to handle as universal links. To do this in Xcode, open the Associated Domains section in the Capabilities tab and add an entry for each domain that your app supports, prefixed with applinks:, such as applinks:hogehoge. Limit this list to no more than about 20 to 30 domains.
Replies
0
Boosts
1
Views
745
Activity
Nov ’23
Where is App Search Validation Tool
I am setting up universal links for my app. And running into some issues when setting it up for production. The following technical advisory recommends to use app search API validation tool. Technical Advisory: https://developer.apple.com/library/archive/qa/qa1916/_index.html#//apple_ref/doc/uid/DTS40017117 Tool Path: https://search.developer.apple.com/appsearch-validation-tool However clicking on the app search API validation tool leads to the generic search.developer.apple.com page. So where is the tool?
Replies
0
Boosts
2
Views
1.5k
Activity
Nov ’23
Universal Link not opening iOS App
I own two domains, https://www.skejuul.me and staging.skejuul.me. I have deployed a iOS App on App Store.. For this app universal links are not opening the App. And instead universal link is taking user to browser. This is where we have hosted the AASA files for the servers: 1.https://www.skejuul.me/.well-known/apple-app-site-association 2.https://staging.skejuul.me/.well-known/apple-app-site-association Both files having same content: { "applinks": { "apps": [], "details": [ { "appID": "K57UGNG49B.com.shiftrock.mobile", "paths": ["*"] } ] } } Please note if we run our universal link for staging.skejuul.me it works i.e. it opens the app. But for https://www.skejuul.me domain it doesn't work. https://www.skejuul.me/forgotpassword (opens browser) https://staging.skejuul.me/forgotpassword (opens iOS App)
Replies
0
Boosts
0
Views
849
Activity
Nov ’23
Associated Domains stopped working after updating app Bundle ID
I updated the app bundle ID of my app in my associated domains file on my server which can be viewed using the Apple CDN at (https://app-site-association.cdn-apple.com/a/v1/myApp.app) and on my server at (https://myApp.app/.well-known/apple-app-site-association). All I did was update the app Bundle ID of my app in Xcode and likewise in the associated domains file, and now it is no longer working and I'm getting the error Application with identifier ABCDE12345.app.myApp.MyApp is not associated with domain myApp.app. This error is thrown when attempting to use the webcredentials portion of the associated domain file for logging in via Passkey. I've waited for 6 days to let the changes propagate through the CDN but the issue is persisting. Strangely enough, it has worked a few times since I changed it but almost always fails. This intermittent behavior leads me to believe it might be something up with the CDN? The only thing I changed about my appID was the domain, e.g. ABCDE12345.io.oldDomain.MyApp to ABCDE12345.app.myApp.MyApp. My file is structured as so: { "applinks": { "apps": [], "details": [ { "appID": "ABCDE12345.app.myApp.MyApp", "components": [ ... ] } ] }, "webcredentials": { "apps": [ "ABCDE12345.app.myApp.MyApp" ] } } Likewise I updated the entitlements in my app to webcredentials:myApp.app from webcredentials:oldDomain.io and similarly for the appLinks. I've tried deleting the app, restarting Xcode, clean builds, all that jazz to no avail. Any advice you have for remedying this would be greatly appreciated. This has brought my beta to a halt because no one can log in or sign up. Thank you.
Replies
1
Boosts
0
Views
2.5k
Activity
Nov ’23
Unity3D: Not getting Universal Link data in Application.absoluteURL and Application.deepLinkActivated
I'm having some issues regarding iOS Universal Links and Unity. I want to open my app and fetch the user id when user clicks on the deep link https://refer.mydomain.com/?userid=123456. I have uploaded the apple-app-site-association file to my domain's https://refer.mydomain.com/.well-known/ directory which contains the following data: { "applinks": { "apps": [], "details": [ { "appID": "ACBJSD1234.com.******.*****", "paths": ["*"] } ] } } I have also tried this syntax: { "applinks": { "details": [ { "appIDs": [ "ACBJSD1234.com.******.*****" ], "components": [ { "/": "*" } ] } ] } } I have validated both the data using https://branch.io/resources/aasa-validator/ and it shows as valid. I have also added the Associated Domain capability to the entitlement file with the domain: applinks:refer.mydomain.com. Now I have used the event listener provided by Unity to detect the deep link that is used to open the app. Now the thing is, my app is getting opened when I click on the link, but I'm not getting the deeplink data inside Unity. My doubt is that maybe my apple-app-site-association file is not properly set. Can anyone help?
Replies
0
Boosts
0
Views
911
Activity
Nov ’23
[iOS 16.4 & iOS 17.1.1] Deeplink does not redirect into app
Hi support team, We have implemented Deeplinks in our app before. But when I tap the universal link from a browser (in iOS 16.4 & iOS 17.1.1), it doesn't work, it directly opens the page on a browser. I tested it on iOS 16.2 & iOS 17.0, it is working fine, it was able to open the app. Do you have any idea why it is not working on iOS 16.4 & iOS 17.1.1 (latest OS) but it is working on other OS versions? Can you please guide me on how to fix this issue. Thanks.
Replies
10
Boosts
0
Views
7.9k
Activity
Nov ’23
Deep links are not directing users to the intended apps, instead, they are redirecting to the respective apps on app store
Problem : Deep links are not directing users to the intended apps, instead, they are redirecting to the respective apps on app store. When clicking on a deep link in private mode, it consistently displays a prompt to open the application or cancel. If the "Cancel" button is selected on the prompt, it redirects to the app store via a deep link to open the specific application, on next time onwards we are not receiving the prompt to open application, every time it get redirects to the appstore via merchant link automatically. In other case if we click open button on the prompt , it redirects to the application, Subsequently, each time we click the deep link, it repeatedly prompts us to open the app. Why do the "Open" and "Cancel" buttons lead to different outcomes in these scenarios? How can we ensure that the application always opens when clicking on the deep link, if it is in private mode as well?
Replies
0
Boosts
0
Views
1.2k
Activity
Nov ’23
Redirect on apple-app-site-association does not break Universal Links
Documentation says that apple-app-site-association file needs to be accessible via HTTPS—without any redirects.However practice shows, that when this file accessible via redirect, Universal Links are working.Is documentation outdated?Can we rely on this behaviour?
Replies
2
Boosts
0
Views
4.9k
Activity
Nov ’23
Universal links not working only during App Review
Hi, I am running into a strange issue where my universal links work fine on devices when using USB, simulators and TestFlight, it works with no problem on all test environments But once I submit it for App Review, they don't work. And I have no way to replicate it. At some point they get it working somehow but every resubmission the process repeats where I go back and forth for days until they finally get it working. Anyone run into this strange issue or has a clue what might be going on?
Replies
6
Boosts
3
Views
3.1k
Activity
Oct ’23
How to make my app available to set as a default browser
Good day, I have an application that opens links in various browsers available on the device. For this reason, I want to make the app eligible to be chosen as the default browser. To do this, I reviewed the Apple article at this link: https://developer.apple.com/documentation/xcode/preparing-your-app-to-be-the-default-browser. However, unfortunately, I still haven't figured out how to do it. The article mentions that you need to send an email request. I sent an email, but my message was ignored. Dear colleagues or Apple staff, could you please explain in the most detailed and step-by-step manner how I can make my app available to be set as the default browser? I would greatly appreciate it because, unfortunately, this question isn't widely discussed in the community, and there are no videos with step-by-step guides. Thank you very much!
Replies
0
Boosts
0
Views
692
Activity
Oct ’23
iOS 14 Universal Links broken on not default browser
On iOS 14 you can pick another default browser than Safari. If you use another browser, that browser will ask the user to change their default browser.  I have installed Chrome and set it as default But problem comes when I try to open a Universal Link (which was working just fine when Safari was the default browser), which seems to just not work. With Safari as default browser, the Universal Link would work, and the corresponding native app was getting opened. However, with any other browser different from Safari set as default, the feature is broken and the Universal Link doesn't open the native app. Has anyone experienced anything similar? Why might this happen and how might this be solved? Any help is very much welcomed
Replies
2
Boosts
1
Views
2k
Activity
Oct ’23
Apple-App-Site-Association (AASA) return 404 Not Found in some CDN nodes.
Hi We locate the file apple-app-site-association on both https://ourdomain.com/apple-app-site-association and https://ourdomain.com/.well-known/apple-app-site-association By visit this two urls, we are able to get file content through browser. We are able to get the file content through https://app-site-association.cdn-apple.com/a/v1/ourdomain.com with US based IPs, Europe based IPs. However, if we visit this url with Asia based IPs, we always got 404 with content Not Found. Some work CDN nodes: < Via: http/1.1 ussjc2-vp-vst-009.ts.apple.com (acdn/14319.5), http/1.1 ussjc2-vp-vfe-002.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-lx-004.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-bx-033.ts.apple.com (acdn/14319.5) Via: http/1.1 ussjc2-vp-vst-009.ts.apple.com (acdn/14319.5), http/1.1 ussjc2-vp-vfe-002.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-lx-004.ts.apple.com (acdn/14319.5), https/1.1 usscz2-edge-bx-033.ts.apple.com (acdn/14319.5) which return file content in apple-app-site-association with response code 200. Some not work CDN nodes: < Via: http/1.1 jptyo5-vp-vst-014.ts.apple.com (acdn/84.14362), https/1.1 jptyo5-vp-vfe-006.ts.apple.com (acdn/84.14362) which return Not Found with response code 404. When use Asia based IPs, we also got some error response header: < Apple-Failure-Details: {"cause":"context deadline exceeded (Client.Timeout exceeded while awaiting headers)"} < Apple-Failure-Reason: SWCERR00301 Timeout Example request with IP in Japan: > GET /a/v1/ourdomain.com HTTP/1.1 > Host: app-site-association.cdn-apple.com > User-Agent: curl/7.86.0 > Accept: */* > * Mark bundle as not supporting multiuse < HTTP/1.1 404 Not Found < Content-Type: text/plain; charset=utf-8 < Content-Length: 10 < Connection: keep-alive < Server: nginx < Date: Mon, 21 Aug 2023 12:45:02 GMT < Expires: Mon, 21 Aug 2023 12:45:12 GMT < Age: 608 < Apple-Failure-Details: {"cause":"context deadline exceeded (Client.Timeout exceeded while awaiting headers)"} < Apple-Failure-Reason: SWCERR00301 Timeout < Apple-From: https://ourdomain.com/.well-known/apple-app-site-association < Apple-Try-Direct: true < Via: http/1.1 jptyo5-vp-vst-014.ts.apple.com (acdn/84.14362), https/1.1 jptyo5-vp-vfe-006.ts.apple.com (acdn/84.14362) < X-Cache: MISS KS-CLOUD < CDNUUID: 03f2e102-fa68-4a5f-bc93-0e151a3dfc64-773587498 < x-link-via: ziyct01:443;xymp07:443;gzun11:443;xg02:443; < x-b2f-cs-cache: no-cache < X-Cache-Status: MISS from KS-CLOUD-XG-02-03 < X-Cache-Status: MISS from KS-CLOUD-GZ-UN-11-06 < X-Cache-Status: MISS from KS-CLOUD-XY-MP-07-15 < X-Cache-Status: MISS from KS-CLOUD-ZIY-CT-01-09 < CDN-Server: KSFTF < X-KSC-Request-ID: 0afe4d526afd86918a55a0640d2b75f3 < X-Cdn-Request-ID: 0afe4d526afd86918a55a0640d2b75f3 < Not Found
Replies
4
Boosts
0
Views
3.4k
Activity
Oct ’23
Universal Link with non latin characters
Hi folks, we are stuck with new universal links on our domains, in particular we should open links for APAC market. Our site domain has non-latin chars in the path and so even the universal link should contain those values, e.g. https://www.my-site.com/jp/レディース app-association-file 👇🏻 "/??/άνδρας" "/??/γυναίκα" "/??/レディース" Unfortunately they dont work, in any scenario we are not able to open the app. Do you know about a OS limitation with non-latin chars in the UL? Is it supported?
Replies
0
Boosts
0
Views
564
Activity
Oct ’23
apple-app-site-association not updating for my app, next update time in swcutil_show is in past
I am unable to get Universal Links opening in my app despite the fact that it is working for others.I used sysdiagnose to retrieve swcutil_show.txt and it shows the next update time for the entry in my app to be: 0001-01-01 03:54:56 +0000Which is in the past. I can't seem to be able to reset this entry even after uninstalling and reinstalling the app. Is there anyway to clear this entry on my device?I'm not sure how it got into this state, but I hope it's only me and not any of my end users.
Replies
8
Boosts
0
Views
9.2k
Activity
Oct ’23